Name:           python-aioshelly
Version:        12.3.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Asynchronous library to control Shelly devices.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/home-assistant-libs/aioshelly
Source:         %{pypi_source aioshelly}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'aioshelly' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-aioshelly
Summary:        %{summary}

%description -n python3-aioshelly %_description


%prep
%autosetup -p1 -n aioshelly-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-aioshelly -f %{pyproject_files}


%changelog
%autochangelog